# Get registration by id

> GET /v1/registrations/{registration_id}

Source: https://docs.trykintsugi.com/reference/get-registration-by-id

API version: v1 (legacy API)

GET /v1/registrations/{registration_id}

Get registration by id

The Get Registration By ID API retrieves a single registration record
    based on its unique identifier.

Category: Registrations

Path parameters:
registration_id (string, required) - The unique identifier of the
                                registration to retrieve.

Query parameters:
reveal (string) - Name of field to reveal

Response fields:
registration_date (string) - The date when the registration was created. Format: YYYY-MM-DD.
registration_email (string) - Email address associated with the registration.
registration_requested (string) - Timestamp when the registration was requested.
registration_completed (string) - Timestamp when the registration was completed.
deregistration_requested (string) - Timestamp when deregistration was requested.
deregistration_completed (string) - Timestamp when the deregistration was completed.
auto_registered (boolean) - Indicates whether the registration was completed automatically.
registrations_regime (RegistrationsRegimeEnum) - The tax registration regime (e.g., STANDARD, SIMPLIFIED).
  allowed values: STANDARD, SIMPLIFIED
change_regime_status (ChangeRegimeStatusEnum)
  allowed values: REQUESTED, APPROVED, DONE, ACKNOWLEDGED
third_party_enabled (boolean) - Indicates whether third-party access is enabled for this registration.
do_not_file (boolean) - If true, do not file for this registration (treated as False by default).
two_factor_enabled (boolean) - Indicates whether two-factor authentication (2FA) is enabled for this registration.
marked_collecting (boolean) - Indicates whether the  registration is marked as collecting in shopify
is_pre_collecting (boolean) - True when this PROCESSING registration marks the organization as collecting tax in the jurisdiction ahead of registration details. It skips the Tax Ops registration task until the flag is cleared.
status (RegistrationStatusEnum, required) - The current status of the registration. Possible values: REGISTERED, PROCESSING, UNREGISTERED, DEREGISTERING, DEREGISTERED, CANCELLED, VALIDATING, AWAITING_CLARIFICATION, SELF_MANAGED.
  allowed values: REGISTERED, PROCESSING, UNREGISTERED, DEREGISTERING, DEREGISTERED, CANCELLED, VALIDATING, AWAITING_CLARIFICATION, SELF_MANAGED
[truncated, see the reference page]

---

Index of every page: https://docs.trykintsugi.com/llms.txt
